Create Stripe Checkout Session
curl --request POST \
--url https://api.example.com/api/payments/stripe/{environment}/checkout-sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mode": "subscription",
"lineItems": [
{
"priceId": "price_123",
"quantity": 1
}
],
"successUrl": "https://app.example.com/billing/success",
"cancelUrl": "https://app.example.com/billing/cancel",
"subject": {
"type": "team",
"id": "team_123"
},
"customerEmail": "buyer@example.com",
"idempotencyKey": "checkout-team_123-pro"
}
'import requests
url = "https://api.example.com/api/payments/stripe/{environment}/checkout-sessions"
payload = {
"mode": "subscription",
"lineItems": [
{
"priceId": "price_123",
"quantity": 1
}
],
"successUrl": "https://app.example.com/billing/success",
"cancelUrl": "https://app.example.com/billing/cancel",
"subject": {
"type": "team",
"id": "team_123"
},
"customerEmail": "buyer@example.com",
"idempotencyKey": "checkout-team_123-pro"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
mode: 'subscription',
lineItems: [{priceId: 'price_123', quantity: 1}],
successUrl: 'https://app.example.com/billing/success',
cancelUrl: 'https://app.example.com/billing/cancel',
subject: {type: 'team', id: 'team_123'},
customerEmail: 'buyer@example.com',
idempotencyKey: 'checkout-team_123-pro'
})
};
fetch('https://api.example.com/api/payments/stripe/{environment}/checkout-sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"checkoutSession": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectType": "<string>",
"subjectId": "<string>",
"customerEmail": "jsmith@example.com",
"checkoutSessionId": "cs_test_123",
"customerId": "cus_123",
"paymentIntentId": "pi_123",
"subscriptionId": "sub_123",
"url": "https://checkout.stripe.com/c/pay/cs_test_123",
"lastError": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}Stripe Payments
Create Stripe Checkout Session
Create a local checkout attempt with the caller’s user context and then create a Stripe Checkout Session. Subscription mode requires a billing subject.
POST
/
api
/
payments
/
stripe
/
{environment}
/
checkout-sessions
Create Stripe Checkout Session
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Payment provider environment.
Available options:
test, live Body
application/json
Metadata keys starting with insforge_ are reserved and rejected.
Available options:
payment, subscription Required array length:
1 - 100 elementsShow child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required string length:
1 - 200Response
Checkout Session created
Show child attributes
Show child attributes
Was this page helpful?
⌘I